Bug 73919 - Language choice switches from English english to American English
Summary: Language choice switches from English english to American English
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-22 09:20 UTC by Oliver
Modified: 2015-05-11 08:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Photo of the language popuo window (213.27 KB, image/jpeg)
2014-01-22 09:20 UTC, Oliver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver 2014-01-22 09:20:54 UTC
Created attachment 92574 [details]
Photo of the language popuo window

Everytime I install a new version of LibreOffice, I get as language choices in the popup window on the bottom of the screen French and German.
As I also write much in English, on the first time I use a new version, I will click on "more..." and choose English (British ?) English (in my French version called "Anglais (Royaume-Uni)").  This language will then appear in the small popup window. When I then close down LibreOffice and start again, I will either get in the popup window German and French as choices (probably because my system language is French, but my keyboard layout is German), but regularly I will also get American English as a choice rather than English English. I have observed this behaviour for a long time now, probably even before LibreOffice was forked off from OpenOffice, but I have not been able to figure out a clear systematic behaviour. I only observe that regularly the American English choice turns up rather than the British English one, when I have not chosen manually the text language. 
I have now just decided to report this as recently it has been annoying me a bit more than before ;-)

Cheers

Oliver
Comment 1 Yousuf Philips (jay) (retired) 2014-07-11 02:15:03 UTC
Dear Brendel,

Thank you for reporting the issue. Is this issue still happening to you now with the latest version, 4.2.5? If you can provide us with simple instructions on how to replicate the issue, we can look further into it.
Comment 2 QA Administrators 2015-02-19 04:36:03 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 3 Oliver 2015-02-20 12:36:55 UTC
Yes, the problem is still there in version 4.3.5.2
I'm not sure that I can give exact steps to follow but I can describe my set-up and my observations : 
My computer uses a French Windows 7 system, however my keyboard has a German layout. I guess this is why after every upgrade of LO, I get only French and German as language options, e.g. in writer when setting the language for a text.
After the upgrade, when I want to write in English, I choose Tools/Language/for the whole text/more languages (I'm translating from the French menu points here, so that might not be quite correct) and I see French and German as language options options. I then chose "more languages" to chose as default language for this text British English (in my case that is called "Anglais(Royaume-Uni)". I get then "Anglais(Royaume-Uni)" shown in the status bar at the bottom and I can spellcheck my text.
When I then close LO and open up a new Writer document, again write some text in English, and then go to the menu point Tools/Language/for the whole text, I get as options (see also the attached screen-shot) : 
French
German
English(USA) 

So English has been added as a language option, however for some reason always the US English will be shown, not British English !

And it is always like this : I chose British English as the option I want to have, and I get American English as a standard language choice. I can chose British English as often as I want, it won't stick in the menu for language choices.
I guess you need a computer that has not an English (British or American) system installed to reproduce this.
Comment 4 Matthew Francis 2015-04-25 03:17:27 UTC
Selecting a language from the bottom of the Writer window changes the language at the cursor, or of the selected text, but not the default for the document which is a global setting.

If you regularly create documents in several languages, the best thing would be to create a template for each with the language in the default paragraph style set appropriately.

I.e.:
- Create a new blank document
- Open the menu Format - Styles and Formatting
- Select the tab for Paragraph Styles
- Right click on the entry for Default Style and select Modify..., then set the desired language under the Font tab
- File - Templates - Save As Template... and give the template a suitable name for the language


-> RESOLVED NOTABUG
Comment 5 Oliver 2015-04-27 08:55:35 UTC
Hello, 
I think that there is a misunderstanding, Il have probably not well enough explained the problem : 

The problem IS NOT changing the language. 

The problem is that the language selector from the bottom of the writer window gives a choice of preinstalled languages. And even if British English is preinstalled, it will always (in my case, see details in my first post) show American English. British English needs to be chosen manually, and will then once ina while disappear, to be replaced by British English (in the small pop-up window for fast language selection.
Comment 6 Yousuf Philips (jay) (retired) 2015-04-27 22:52:40 UTC
Hi brendel,

Is it possible for you test that its having the same behaviour with a recent version of libreoffice, so we can further test the issue.
Comment 7 Oliver 2015-04-28 07:11:36 UTC
I have Version 4.4.2.2 installed, and I have observed this for several years now

Cheers

Oliver
Comment 8 Yousuf Philips (jay) (retired) 2015-04-28 10:42:39 UTC
Well i've checked and in my statusbar and the only thing that appears in English (USA) and if i want a different one to appear there by default, i have to go into Tools > Options > Language Settings > Languages and change the 'Default Languages for Documents'. Does this solve the issue for you?
Comment 9 Oliver 2015-04-28 11:03:31 UTC
Hello Jay, 
no, sorry, does not really help : I write regularly in French, English and German. As I'm working in France, my default language is French. Normally, after having upgraded Libreoffice, I get French and American English as the standard options in the pop-up window. Once I have written one document in German, German also becomes a standard choice in the pop-up window (from the bottom of the writer screen), but not British English, it always reverts back to American English. 

Oliver
Comment 10 QA Administrators 2015-05-06 14:21:22 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team
Comment 11 Oliver 2015-05-11 08:07:43 UTC
Ok, I will try again. 
Actually I realised that the problem is not in the language information in the bottom status bar, but in the language selection given in the menu when choosing the language for selection / paragraph or texte :
when I open a new document I get as language selection options  
German(German) / French (French)
probably because I have a French system and a German keyboard

Once I have written 5 lines of text in English I get the language choices (for selection / paragraphe and text) of German(German) / English( American) / French (French)

As I want the correction British and not American English I chose language for text, click on "Other" and chose English(British)

After having done this I get the language choices (for selection / paragraphe and text) of German(German) / English( British) / English( American) / French (French)

I save the text, close Libreoffice, open it again. 

And I get the same thing !! that is before writing text I get German and French as choice, after having written some lines in English I get additionally English (American) ..... so I have to find again English(British). 

However I guess this is rather an improvement than a bug : I think the last chosen language should be retained.
On the other hand I don't understand why a preference is given to American English for the automatic language recognition

I how this is now enough information ;-)
Comment 12 Oliver 2015-05-11 08:23:37 UTC
By the way, even if the english text written contains a large number of words in british spelling, the automatic language detection will still detect american english.
here an example for a (nonsense) test-text : 

This is the centre for the fibre why I want to have a litre of water in the theatre.

But I need some colour in the flavour.

And my humour is not getting better with more labour.

So I should not apologise for organising such an unrecognisable bug